ValidationConfiguration (Apache CXF JavaDoc 4.1.0-SNAPSHOT API)
Description: declaration: package: org.apache.cxf.validation, class: ValidationConfiguration

Package org.apache.cxf.validation

# Class ValidationConfiguration

java.lang.Object
org.apache.cxf.validation.ValidationConfiguration

public class ValidationConfiguration extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ValidationConfiguration()`
  `ValidationConfiguration(jakarta.validation.ParameterNameProvider parameterNameProvider)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `jakarta.validation.ConstraintValidatorFactory`
  `getConstraintValidatorFactory()`
  `jakarta.validation.MessageInterpolator`
  `getMessageInterpolator()`
  `jakarta.validation.ParameterNameProvider`
  `getParameterNameProvider()`
  `Map<String,String>`
  `getProperties()`
  `jakarta.validation.TraversableResolver`
  `getTraversableResolver()`
  `void`
  `setConstraintValidatorFactory(jakarta.validation.ConstraintValidatorFactory constraintValidatorFactory)`
  `void`
  `setMessageInterpolator(jakarta.validation.MessageInterpolator messageInterpolator)`
  `void`
  `setParameterNameProvider(jakarta.validation.ParameterNameProvider parameterNameProvider)`
  `void`
  `setProperties(Map<String,String> properties)`
  `void`
  `setTraversableResolver(jakarta.validation.TraversableResolver traversableResolver)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ValidationConfiguration

    public ValidationConfiguration()

  - ### ValidationConfiguration

    public ValidationConfiguration(jakarta.validation.ParameterNameProvider parameterNameProvider)

- ## Method Details

  - ### getParameterNameProvider

    public jakarta.validation.ParameterNameProvider getParameterNameProvider()

  - ### setParameterNameProvider

    public void setParameterNameProvider(jakarta.validation.ParameterNameProvider parameterNameProvider)

  - ### getProperties

    public Map<String,String> getProperties()

  - ### setProperties

    public void setProperties(Map<String,String> properties)

  - ### getMessageInterpolator

    public jakarta.validation.MessageInterpolator getMessageInterpolator()

  - ### setMessageInterpolator

    public void setMessageInterpolator(jakarta.validation.MessageInterpolator messageInterpolator)

  - ### getTraversableResolver

    public jakarta.validation.TraversableResolver getTraversableResolver()

  - ### setTraversableResolver

    public void setTraversableResolver(jakarta.validation.TraversableResolver traversableResolver)

  - ### getConstraintValidatorFactory

    public jakarta.validation.ConstraintValidatorFactory getConstraintValidatorFactory()

  - ### setConstraintValidatorFactory

    public void setConstraintValidatorFactory(jakarta.validation.ConstraintValidatorFactory constraintValidatorFactory)